org.apache.cassandra.net

## Class IncomingStreamingConnection

- java.lang.Object
- - java.lang.Thread
  - - org.apache.cassandra.net.IncomingStreamingConnection

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.lang.Runnable

    public class IncomingStreamingConnection
    extends java.lang.Thread
    implements java.io.Closeable

Thread to consume stream init messages.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`java.net.Socket` `socket`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`IncomingStreamingConnection(int version, java.net.Socket socket, java.util.Set<java.io.Closeable> group)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### socket

    public final java.net.Socket socket

### Constructor Detail

#### IncomingStreamingConnection

    public IncomingStreamingConnection(int version,
                                       java.net.Socket socket,
                                       java.util.Set<java.io.Closeable> group)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`